# Restore a file from the trash

This function restores a previously trashed file or directory to its original location. Pass the item's original path. If the path was trashed more than once, the function restores the most recent copy. The function returns an error if the original path already exists.

Important:

  When you disable the File Storage role, the system disables this function.

Endpoint: GET /Fileman/restore_from_trash
Version: 11.138.0.19
Security: BasicAuth

## Query parameters:

  - `path` (string, required)
    The original path of the trashed file or directory.
    Example: "public_html/unwanted.txt"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "restore_from_trash"

  - `module` (string)
    The name of the module called.
    Example: "Fileman"

  - `result` (object)

  - `result.data` (object)

  - `result.data.path` (string)
    The restored path.

  - `result.data.trash_leaf` (string)
    The trash directory name that the function restored from.
    Example: "unwanted.txt"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


